вторник, 7 апреля 2015 г.

Что нового в AutoCAD 2016 (Часть 1). Общие сведения

Добрый день!

Март месяц - традиционное время для выхода новых версий программных продуктов Autodesk. В этом году выход разных продуктов происходит в разное время, AutoCAD 2016 уже выпущен на рынок.

Традиционно третий год подряд в блоге я делаю подробный разбор новинок в продуктах, входящих в Autodesk Product Design Suite, среди которых есть и AutoCAD.


С него и начнем. Как всегда, будет несколько частей, ссылки на них буду добавлять по мере готовности материала:
  1. Общие сведения
  2. Изменения в интерфейсе
  3. Черчение и аннотирование
  4. Моделирование, облака точек и визуализация
  5. Печать в PDF, поддержка BIM и прочее

AutoCAD 2016. Общие сведения


Иконка приложения стала более красной (по сравнению с AutoCAD 2015)


На заставке поменяли лишь номер версии


Эту картинку предлагают нам уже три версии подряд, пора бы и поменять...

Системные требования


Начнем, пожалуй, с самой животрепещущей темы - технические требования. В последние 5...10 лет выход новой версии практически любой программы сопряжен со страхом необходимости менять "железо" в машине. И это несмотря на то, что группа разработки постоянно твердит о том, что работа приложения оптимизирована и пр. На этот раз разработчики поумерили аппетит, изменений от AutoCAD 2015 нет:

Системные требования для AutoCAD 2016
Операционная система
  • Microsoft® Windows® 8/8.1 Enterprise
  • Microsoft Windows 8/8.1 Pro
  • Microsoft Windows 8/8.1
  • Microsoft Windows 7 Enterprise
  • Microsoft Windows 7 Ultimate
  • Microsoft Windows 7 Professional
  • Microsoft Windows 7 Home Premium
Тип CPU Минимум Intel Pentium 4 или AMD Athlon 64
ОЗУ Для 32-х разрядного AutoCAD 2016:
  • 2 Гб (рекомендовано 3 Гб)
Для 64-х разрядного AutoCAD 2016:
  • 4 Гб (рекомендовано 8 Гб)
Разрешение экрана 1024x768 (рекомендуется 1600x1050 или выше) с True Color
Видеокарта Видеокарта с поддержкой экранного разрешения 1024x768 и совместимая с DirectX 9 или DirectX 11
Место на диске 6 Гб
Браузер Windows Internet Explorer® 9.0 (или новее)
.NET Framework .NET Framework версия 4.5

Требования для работы с большими подшивками, облаками точек и трехмерным моделированием
ОЗУ 8 Гб и более
Место на диске 12 Гб
Видеокарта Видеокарта с поддержкой разрешения 1600x1050 или выше; Видеопамять 128 Мб и выше; Pixel Shader 3.0 или выше; поддержка Direct3D
Примечание Для работы с большими подшивками, облаками точек и трехмерного моделирования необходимо использовать 64-х разрядную операционную систему

Т.е. в текущем периоде парк компьютеров обновлять нет необходимости.

Версия DWG-файлов


Второй важный вопрос, который также волнует всех. Что там с форматом DWG-файлов? Он остался прежним, полная совместимость с более старыми версиями, вплоть до AutoCAD 2013.


Переход на новую версию не будет сопряжен с необходимостью перевода файлов в новый формат и не вызовет сложностей при работе пользователей в разных версиях.

Поддержка сторонних приложений


LISP-программы будут работать без изменений, также как и приложения, написанные на ObjectARX и AutoCAD .NET API под предыдущие версии AutoCAD.

Если вы используете приложения из официального магазина Autodesk Exchange Apps, то там уже появилась поддержка новой версии AutoCAD для многих приложений


В следующий раз поговорим об изменениях в интерфейсе AutoCAD 2016.

С уважением, Андрей.

UPD: Коллеги указали на ошибку - в новой версии сохранена бинарная совместимость arx и .NET-приложений, так что все должно работать без перекомпиляции. Ключевое слово "должно", надо проверять

18 комментариев:

  1. "Тут все традиционно...приложения, написанные на ObjectARX и AutoCAD .NET API под предыдущие версии AutoCAD, потребуют обновления."

    Ваша неправда.
    ObjectARX, написанные для AutoCAD2015 прекрасно работают на AutoCAD2016. Тому пример - VetCAD++. Прекрасно работает даже без переустановки, а просто после миграции настроек с AutoCAD2015.

    ОтветитьУдалить
    Ответы
    1. Рад за VetCAD++, но есть и другие приложения.

      Удалить
    2. даже версия AutoCAD отличается всего лишь вторым индексом - 20.1 вместо 20.0 у AutoCAD2015.

      Удалить
    3. Поделюсь сакральным знанием:
      AutoCAD 2000 - R15.0
      AutoCAD 2000i - R15.1
      AutoCAD 2002 - R15.6
      AutoCAD 2004 - R16.0
      AutoCAD 2005 - R16.1
      AutoCAD 2006 - R16.2
      AutoCAD 2007 - R17.0
      AutoCAD 2008 - R17.1
      AutoCAD 2009 - R17.2
      AutoCAD 2010 - R18.0
      AutoCAD 2011 - R18.1
      AutoCAD 2012 - R18.2
      AutoCAD 2013 - R19.0
      AutoCAD 2014 - R19.1
      AutoCAD 2015 - R20.0
      AutoCAD 2016 - R20.1

      Удалить
  2. Еще я где-то на англоязычном ресурсе читал еще до появления тестовой версии, что AutoCAD2016 будет поддерживать приложения для AutoCAD2015.
    Вот нашел:
    "AutoCAD 2016 for developers...
    Compatibility
    Off the bat it’s worth stating that AutoCAD 2016 is a DWG compatible release: it’s using the same file format as AutoCAD 2013, 2014 and 2015. It’s also a binary application compatible release: ObjectARX apps written for AutoCAD 2015 should work in 2016 and it’s likely that .NET apps built for AutoCAD 2014 will work, too. That said, some changes have been made to the security model for this release of AutoCAD, so you may want to make sure these changes haven’t impacted your application…"
    взято отсюда http://through-the-interface.typepad.com/through_the_interface/2015/03/autocad-2016-for-developers.html
    Так, что, можете порадоваться и за некоторые другие приложения, которые не будут конфликтовать с новой системой безопасности в AutoCAD2016 :-)

    ОтветитьУдалить
  3. Добрый день, Андрей. Появилась в новой версии поддержка нескольких ядер процессора?

    ОтветитьУдалить
    Ответы
    1. Добрый день, Павел! К сожалению, в области поддержки многоядерности никаких изменений со времен AutoCAD 2015 нет, а именно многоядерность поддерживается при выполнении только двух операций - регенерация плоского чертежа и визуализация.

      Удалить
  4. Этот комментарий был удален автором.

    ОтветитьУдалить
  5. Добрый день, есть особенности настройки системы для работы с проектами и подшивками в МЕП, станция делл 7810, Intel® Xeon® E5-2620 v3, NVIDIA® Quadro® К4200, ОЗУ 32 Гб

    ОтветитьУдалить
    Ответы
    1. Добрый день! Никогда не встречал упоминания об особых требованиях для работы с подшивками. Такой машины для работы в MEP более чем достаточно.

      Удалить
  6. Этот комментарий был удален администратором блога.

    ОтветитьУдалить
  7. добрый день!! подскажите подойдет ли такое железо для составления исполнительных схем, проектов производства работы?
    проц intel core i 5-6500 3.1 гц.
    8 гб. оперативки
    SSD 256GB
    видео карта ge force gt704 2 gb
    заранее спасибо!!

    ОтветитьУдалить
    Ответы
    1. Добрый день! Да, вполне хватит. На будущее можно памяти добавить, с подшивками и большими проектами будет пошустрее работать.

      Удалить
  8. Здравствуйте, Андрей. Такая проблема. Подскажите, если сможете. В 2016 каде вместо осей и текста показывает пустые прямоугольники, внизу которых надпись McsPseudoLine(SPDSGRAPHICS), McsDbObjectNotePosition(SpdsGraphiCS), McsDbObjectLevelMark(SpdsGraphics) и так далее. Как все вернуть, подскажите пожалуйста.

    ОтветитьУдалить
    Ответы
    1. Добрый день! А что предшествовало появлению проблемы? Эти сообщения говорят о том, что у вас не установлен или перестал работать СПДС GraphiCS. Проблема исключительно в нем, AutoCAD тут ни при чем.

      Удалить